Subject: Re: linux-next: build warning after merge of the wireless-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 4 Apr 2013 13:36:10 +1100

Hi Larry,

On Wed, 03 Apr 2013 20:17:01 -0500 Larry Finger <[email-masked]> wrote:
>
> On 04/03/2013 08:04 PM, Stephen Rothwell wrote:
> >
> > On Thu, 4 Apr 2013 12:00:43 +1100 Stephen Rothwell <[email-masked]> wrote:
> >>
> >> After merging the wireless-next tree, today's linux-next build (x86_64
> >> allmodconfig) produced this warning:
> >>
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >> x86_64-linux-gcc: warning: drivers/net/wireless/rtlwifi: linker input file unused because linking not done
> >>
> >> I have no idea what caused that.
> >
> > Though I suspect commit 8b138d4898a0 ("rtlwifi: rtl8188ee: Enable build
> > of new driver") - I wonder if the gap between the "-I" and
> > "drivers/net/wireless/rtlwifi" added to ccflags-y is the cause?
> >
> > I am using gcc 4.6.3 if that matters.
> 
> I use 4.7.2.
> 
> I'll send a patch with the space removed to see if that helps.

I just tested without the space and it fixes the problem for my Debian
4.7.2 compiler.  Removing the space also fixes the problem with finding
include files (after I removed the "../" bits again).

-- 
Cheers,
Stephen Rothwell                    [email-masked]